Bug 81087 - When saving a spreadsheet as CSV and LO Calc is closed, LO Calc crashes
Summary: When saving a spreadsheet as CSV and LO Calc is closed, LO Calc crashes
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-09 07:47 UTC by helplibreoffice
Modified: 2015-05-06 14:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description helplibreoffice 2014-07-09 07:47:49 UTC
When saving a spreadsheet as a CSV and closing LO Calc too soon (during the save process), LO Calc will crash.  Happens every time.
Comment 1 Kevin Suo 2014-07-12 10:50:40 UTC
Do not reproduce on ubuntu 14.04 x86, libreoffice 4.3.0.2.
May be windows only?

I created a spreadsheet and fill 3 columns with random numbers for 1048576 rows, then try to close while exporting csv. Calc did not crash, the exporting process finished successfully and Calc quit finally.
Comment 2 helplibreoffice 2014-07-13 01:02:20 UTC
Thanks for checking Ubuntu. Kevin.  I have only verified Windows.
Comment 3 Joel Madero 2014-07-16 20:31:30 UTC
Can you attach a big enough spreadsheet that we can save and it takes long enough that we can close before save is done. I keep trying to keep it big enough and I can't seem to beat the save.
Comment 4 helplibreoffice 2014-07-16 21:12:28 UTC
It's actually not the size of the spreadsheet, it's the slowness of the device.  I have a client that has several PC's that are rather slow, and it happens on all those devices.  They have IDE (not SATA) hard drives, which means the disk transfers are relatively slow as well.
Comment 5 helplibreoffice 2014-07-17 08:32:45 UTC
I should add that my client almost always selects the option to export the formulas in the CSV file, and not just the resultant values.
Comment 6 Florian Reisinger 2014-09-04 13:34:01 UTC
Tested with Windows 7 x64 with Version: 4.3.1.2 Build-ID: 958349dc3b25111dbca392fbc281a05559ef6848. Failed reproducing the bug
Comment 7 helplibreoffice 2014-09-04 18:29:31 UTC
I understand that it works for you, and I would expect that on such a modern system it would.  My systems are modern as well, and it works fine on them.  But in the real world, many businesses and non-profits rely on older systems, and I have received numerous reports of the bug and have witnessed it scores of times at client's offices.

I don't think it's appropriate to mark this as RESOLVED, as testing has not been sufficient to determine such as status.
Comment 8 Joel Madero 2014-09-04 23:02:59 UTC
hmm then I suggest these "many businesses" invest in getting support since we've now tested this on multiple machines and see no issues....
Comment 9 helplibreoffice 2014-09-05 16:59:28 UTC
Not sure why you decided to put "many businesses" in quotes.  Appears like you are trying to be invalidating in a passive-aggressive way.

Every stat available shows that a huge percentage of real-world systems are not what developers would consider modern.

You state that "we've now tested this on multiple machines".  Clearly, I'm not a part of "we".  So much for LibreOffice being an open project or welcoming to new contributors.

The only two tests I have seen are both on completely different operating systems than the original bugreport, and at least one is likely with a much faster hard drive.  That's not proper testing.  To the contrary, I have witnessed this bug at multiple clients on the systems defined in this thread.

I was at a client earlier today that does not use currently use LibreOffice to perform a LibreOffice install and training.  I installed it on one of their systems, using Typical Install.

I loaded a spreadsheet into LO Calc for them and it worked great.  They were impressed.  I then closed LO Calc.  I reopened it, and closed it immediately.  LO Calc crashed.

The client asked me to uninstall LibreOffice.  I complied.  They told me they will not be installing LibreOffice on any of their systems, which is unfortunate.

I tout the benefits of LO to many people, but I am also honest and open about it's flaws.  I volunteer my personal time to help LO.  I don't think I have received any appreciation.

I won't be volunteering or contributing any more of my time to this specific bug.  I've reported the bug.  I don't have the skills to fix it.  If people want to deny it for non-scientific reasons, that's their business.
Comment 10 Florian Reisinger 2014-09-09 18:07:10 UTC
You know, that does not happen on an empty CSV. OR a simple? So you did not report the bug well, maybe it is specific to a document.
And please, do not call the 2 lines a bug report....
So PLEASE add a test doc and an Os and everything else you complained we did wrong... Marking it as NEEDINFO
Comment 11 QA Administrators 2015-04-01 14:47:28 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 12 QA Administrators 2015-05-06 14:21:50 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team